xlsx-1.1.4: Simple and incomplete Excel file parser/writer

Safe Haskell | None
Language | Haskell2010

Codec.Xlsx.Types.Internal.CfPair

Synopsis

- newtype CfPair = CfPair {
  - unCfPair :: (SqRef, ConditionalFormatting)
  }

# Documentation

newtype CfPair Source #

Internal helper type for parsing "conditionalFormatting recods TODO: pivot, extList Implementing those will need this implementation to be changed

See 18.3.1.18 "conditionalFormatting (Conditional Formatting)" (p. 1610)

Constructors

CfPair |

Fields

- unCfPair :: (SqRef, ConditionalFormatting)

#### Instances

Instances details

Generic CfPair Source # |

Instance details

Defined in Codec.Xlsx.Types.Internal.CfPair

Associated Types

type Rep CfPair |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair type Rep CfPair = D1 ('MetaData "CfPair" "Codec.Xlsx.Types.Internal.CfPair" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'True) (C1 ('MetaCons "CfPair" 'PrefixI 'True) (S1 ('MetaSel ('Just "unCfPair") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (SqRef, ConditionalFormatting))))

Methods

from :: CfPair -> Rep CfPair x Source #

to :: Rep CfPair x -> CfPair Source #

Show CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair Methods showsPrec :: Int -> CfPair -> ShowS Source # show :: CfPair -> String Source # showList :: [CfPair] -> ShowS Source #
Eq CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair Methods (==) :: CfPair -> CfPair -> Bool Source # (/=) :: CfPair -> CfPair -> Bool Source #
FromCursor CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair Methods fromCursor :: Cursor -> [CfPair] Source #
FromXenoNode CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair Methods fromXenoNode :: Node -> Either Text CfPair Source #
ToElement CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair Methods toElement :: Name -> CfPair -> Element Source #
type Rep CfPair Source # |
Instance details Defined in Codec.Xlsx.Types.Internal.CfPair type Rep CfPair = D1 ('MetaData "CfPair" "Codec.Xlsx.Types.Internal.CfPair" "xlsx-1.1.4-G0KawmQS4mL8oRGRTaTy8Y" 'True) (C1 ('MetaCons "CfPair" 'PrefixI 'True) (S1 ('MetaSel ('Just "unCfPair") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 (SqRef, ConditionalFormatting))))